#!/bin/sh


case $1
in
	--clean|-c)
		make distclean
		rm -v ar-lib aclocal.m4 "config.h.in~" compile COPYING depcomp INSTALL install-sh missing test-driver configure Makefile.in tests/Makefile.in 2>/dev/null
		rm -vR autom4te.cache/ .deps 2>/dev/null
		exit 0
		;;
	--regen|-r)
		sh tests/regen.sh
		autoreconf
		;;
	--new|-n|*)
		sh tests/regen.sh
		autoheader
		autoreconf -i -m
		;;
esac

